<template>
  <v-card class="step">

      <v-row align="center">
        <v-col cols="6" class="text-h5">A normal QRS complex preceded by a pause and no P wave or an inverted P wave</v-col>
        <v-col cols="1">
          <v-switch v-model="junctionalEscapeBeat"></v-switch>
        </v-col>
        <v-col cols="1">
          <v-icon>
            $JunctionalEscapeBeat
          </v-icon>
        </v-col>
      </v-row>
      <v-row align="center">
        <v-col cols="6" class="text-h5">An enormous QRS complex preceded by a pause and no P wave</v-col>
        <v-col cols="1">
          <v-switch v-model="ventricularEscapeBeat"></v-switch>
        </v-col>
        <v-col cols="1">
          <v-icon>
            $VentricularEscapeBeat
          </v-icon>
        </v-col>
      </v-row>
      <v-row align="center">
        <v-col cols="6" class="text-h5">P wave of unusual shape (looks different from the previous ones) which fires earlier than usual</v-col>
        <v-col cols="1">
          <v-switch v-model="prematureAtrialBeat"></v-switch>
        </v-col>
        <v-col cols="1">
          <v-icon>
            $PrematureAtrialBeat
          </v-icon>
        </v-col>
      </v-row>
    <v-row class="mt-10">
      <v-col>
        <v-alert  class="text-h6" border="left" color="pink" dark v-for="item in stepConclusions('rhythmII')" :key="item.diagnosis">
          {{ item.motivation + ': '}} <span class="font-weight-bold">{{item.diagnosis}}</span>
        </v-alert>
      </v-col>
    </v-row>
  </v-card>
</template>

<script>
import { mapGetters, mapState } from 'vuex';

export default {
  name: 'RhythmII',
  computed: {
    ...mapState(['junctionalEscapeBeat', 'ventricularEscapeBeat', 'prematureAtrialBeat']),
    ...mapGetters([
      'stepConclusions',
    ]),
    junctionalEscapeBeat: {
      get() {
        return this.$store.state.junctionalEscapeBeat;
      },
      set(value) {
        this.$store.commit('setJunctionalEscapeBeat', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    ventricularEscapeBeat: {
      get() {
        return this.$store.state.ventricularEscapeBeat;
      },
      set(value) {
        this.$store.commit('setVentricularEscapeBeat', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    prematureAtrialBeat: {
      get() {
        return this.$store.state.prematureAtrialBeat;
      },
      set(value) {
        this.$store.commit('setPrematureAtrialBeat', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
  },
};
</script>

<style scoped>

</style>
